# Copyright (C) 2009, 2010 Martin Pool
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. 
#
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0 
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License. 
#
# Part of Tribunal <https://launchpad.net/tribunal>


import testtools
from testtools.matchers import *


from tribunal.app import source_from_args_heuristic


class TestParseArgs(testtools.TestCase):
    """Test interpretation of command line arguments."""

    def test_no_args_no_source(self):
        self.assertThat(source_from_args_heuristic([]),
            Equals(None))

